import request from '@/utils/request'

// 查询请假申请列表
export function listApplication(query) {
  return request({
    url: '/application/application/list',
    method: 'get',
    params: query
  })
}

// 查询请假申请详细
export function getApplication(id) {
  return request({
    url: '/application/application/' + id,
    method: 'get'
  })
}

// 新增请假申请
export function addApplication(data) {
  return request({
    url: '/application/application',
    method: 'post',
    data: data
  })
}

// 修改请假申请
export function updateApplication(data) {
  return request({
    url: '/application/application',
    method: 'put',
    data: data
  })
}

// 删除请假申请
export function delApplication(id) {
  return request({
    url: '/application/application/' + id,
    method: 'delete'
  })
}

// 根据用户ID查询可抵扣的加班时长
export function getDeductionOvertimeHoursByUserId(userId) {
  return request({
    url: '/application/application/deductionOvertimeHours',
    method: 'get',
    params: { userId: userId }
  })
}

// 更新员工的加班小时数余额
export function updateOvertimeHoursBalance(data) {
  return request({
    url: '/application/application/updateOvertimeHoursBalance',
    method: 'put',
    data: data
  })
}


// 获取项目负责人列表
export function getProjectManagers() {
  return request({
    url: '/application/application/project-managers',
    method: 'get'
  })
}

// 获取总经理的nick_name
export function getGeneralManagerNickName() {
  return request({
    url: '/application/application/general-manager',
    method: 'get'
  })
}


// 获取总经理的nick_name
export function getShenpiList(id) {
  return request({
    url: '/approvalConfiguration/getNodeList/'+id,
    method: 'get'
  })
}

// 更新节点和审批状态
export function batchUpdateLeaveApplicationByNodeIdAndApprovalStatus(data) {
  return request({
    url: '/application/application/updateNodeAndApprovalStatus',
    method: 'put',
    data: data
  })
}

