import request from '@/utils/request'

// 查询加班申请列表
export function listOvertimeApplication(query) {
  return request({
    url: '/application/overtimeApplication/list',
    method: 'get',
    params: query
  })
}
// 查询加班申请表单
export function findOvertimeApplication(query) {
  return request({
    url: '/application/overtimeApplication/find',
    method: 'get',
    params: query
  })
}


// 查询加班申请详细
export function getOvertimeApplication(id) {
  return request({
    url: '/application/overtimeApplication/' + id,
    method: 'get'
  })
}

// 新增加班申请
export function addOvertimeApplication(data) {
  return request({
    url: '/application/overtimeApplication',
    method: 'post',
    data: data
  })
}

// 批量新增加班申请
export function addOvertimeApplications(data) {
  return request({
    url: '/application/overtimeApplication/batch',
    method: 'post',
    data: data
  })
}

// 修改加班申请
export function updateOvertimeApplication(data) {
  return request({
    url: '/application/overtimeApplication',
    method: 'put',
    data: data
  })
}

// 删除加班申请
export function delOvertimeApplication(id) {
  return request({
    url: '/application/overtimeApplication/' + id,
    method: 'delete'
  })
}
