import request from '@/utils/request'

// 查询考勤打卡列表
export function listClock(query) {
    return request({
        url: '/psa/clock/list',
        method: 'get',
        params: query
    })
}
// 查询草稿箱列表
export function listDraftClock(query) {
    return request({
        url: '/psa/clock/draft',
        method: 'get',
        params: query
    })
}

// 查询考勤打卡详细
export function getClock(id) {
    return request({
        url: '/psa/clock/' + id,
        method: 'get'
    })
}

// 新增考勤打卡
export function addClock(data) {
    return request({
        url: '/psa/clock',
        method: 'post',
        data: data
    })
}
// 新增草稿箱
export function addClockDraft(data) {
    return request({
        url: '/psa/clock/draft',
        method: 'post',
        data: data
    })
}

// 修改考勤打卡
export function updateClock(data) {
    return request({
        url: '/psa/clock',
        method: 'put',
        data: data
    })
}

// 删除考勤打卡
export function delClock(id) {
    return request({
        url: '/psa/clock/' + id,
        method: 'delete'
    })
}

//导入方法
export function importData(file) {
    return request({
        data: file,
        url: '/psa/clock/import' ,
        method: 'post',
        headers: {
            'Content-Type': 'multipart/form-data'
        }
    })
}
