import request from '@/utils/request'

// 获取路由
// export const test = () => {
//   return request({
//     url: '/test',
//     method: 'get'
//   })
// }

export const listDailyApprove = (query) => {
  return request({
    url: '/expenseApproval/dailyExpenseList',
    method: 'get',
    params: query
  })
}

// 日常报销列表
export const listCostManage = (query) => {
  return request({
    url: '/dailyReimbursement/dailyReimbursement/getProjectListByUserId',
    method: 'get',
    params: query
  })
}

// 日常报销详情
export const detailCostManage = (Id) => {
  return request({
    url: '/dailyReimbursement/dailyReimbursement/' + Id,
    method: 'get',
  })
}

// 新增日常报销
export const addDailyReimburse = (data) => {
  return request({
    url: '/dailyReimbursement/dailyReimbursement',
    method: 'post',
    data: data
  })
}

// 编辑日常报销
export const updateDailyReimbursement = (data) => {
  return request({
    url: '/dailyReimbursement/dailyReimbursement',
    method: 'put',
    data: data
  })
}

//删除日常报销
export const deleteDailyReimburse = (id) => {
  return request({
    url: '/dailyReimbursement/dailyReimbursement/' + id,
    method: 'delete'
  })
}

//获取所有项目
export const projectList = (query) => {
  return request({
    url:'/dailyReimbursement/dailyReimbursement/projectList',
    method: 'get',
    params: query
  })
}
export const projectDetailById = (id) => {
  return request({
    url: '/dailyReimbursement/dailyReimbursement/projectDetail/' + id,
    method: 'get'
  })
}

//出差申请列表
export const listTripApplication = (query) => {
  return request({
    url:'/tripApplication/tripApplication/list',
    method: 'get',
    params: query
  })
}

//出差申请详情
export const detailTripApplication = (Id) => {
  return request({
    url:'/tripApplication/tripApplication/' + Id,
    method: 'get',
  })
}

// 出差申请新增
export const addTripApplication = (data) => {
  return request({
    url:'/tripApplication/tripApplication/insert',
    method: 'post',
    data: data
  })
}

// 出差申请修改
export const updateTripApplication = (data) => {
  return request({
    url:'/tripApplication/tripApplication/update',
    method: 'put',
    data: data
  })
}

// 出差申请删除
export const deleteTripApplication = (id) => {
  return request({
    url:'/tripApplication/tripApplication/' + id,
    method: 'delete'
  })
}

//差旅报销列表
export const listTripReimburse = (query) => {
  return request({
    url:'/FyglTravelOnBusiness/getList',
    method: 'get',
    params: query
  })
}

//差旅报销详情
export const detailTripReimburse = (Id) => {
  return request({
    url:'/FyglTravelOnBusiness/getList/' + Id,
    method: 'get',
  })
}

//差旅报销新增
export const addTripReimburse = (data) => {
  return request({
    url:'/FyglTravelOnBusiness/getList/insert',
    method: 'post',
    data: data
  })
}

// 差旅报销修改
export const updateTripReimburse = (data) => {
  return request({
    url:'/FyglTravelOnBusiness/getList/update',
    method: 'put',
    data: data
  })
}

// 差旅报销删除
export const deleteTripReimburse = (id) => {
  return request({
    url:'/FyglTravelOnBusiness/getList/' + id,
    method: 'delete'
  })
}

// 获取全部审批流程
export function getAllapproveList(id) {
  return request({
    url: '/approvalConfiguration/getNodeList/' + id,
    method: 'get'
  })
}
