import request from "../../utils/request.js";

//获取所有项目名称（查询下拉框）
export function getProjectName() {
    return request({
        url: '/projectCostRequest/projectAllList',
        method: 'get'
    })
}

//根据id获取审批流程
export function getApproveNodeList(id) {
    return request({
        url: '/approvalConfiguration/getNodeList/'+id,
        method: 'get'
    })
}

//获取当前用户角色信息
export function getRoleId() {
    return request({
        url: '/expenseApproval/getAllRoleList',
        method: 'get'
    })
}

//获取所有项目
export const projectList = (query) => {
    return request({
        url:'/dailyReimbursement/dailyReimbursement/projectList',
        method: 'get',
        params: query
    })
}

//获取所有项目经理
export function getProjectManagerName(query) {
    return request({
        url: '/projectCostRequest/projectManagerName',
        method: 'get',
        params: query
    })
}

//  1.项目费用申请审批
//项目费用申请审批-通过
export function projectCostPass(query) {
    return request({
        url: '/expenseApproval/projectCostRequestApproval',
        method: 'post',
        data:query
    })
}

//项目费用申请审批-驳回
export function projectCostNotPass(query) {
    return request({
        url: '/expenseApproval/projectCostRequestApprovalReject',
        method: 'post',
        data:query
    })
}

//  2.项目费用报销审批
//项目费用报销审批-通过
export function projectCostReimbursementPass(query) {
    return request({
        url: '/expenseApproval/projectCostReimbursementApproval',
        method: 'post',
        data:query
    })
}

//项目费用报销审批-驳回
export function projectCostReimbursementNotPass(query) {
    return request({
        url: '/expenseApproval/projectCostReimbursementApprovalReject',
        method: 'post',
        data:query
    })
}

//  5.项目费用申请审批
//项目费用申请审批-通过
export function dailyCostPass(query) {
    return request({
        url: '/expenseApproval/dailyReimburseApproval',
        method: 'post',
        data:query
    })
}

//项目费用申请审批-驳回
export function dailyCostNotPass(query) {
    return request({
        url: '/expenseApproval/dailyReimburseApprovalReject',
        method: 'post',
        data:query
    })
}

//  3.出差申请审批
//出差申请-通过
export function tripApplicationApproval(query) {
    return request({
        url: '/expenseApproval/tripApplicationApproval',
        method: 'post',
        data:query
    })
}
//出差申请审批-驳回
export function tripApplicationPassNotPass(query) {
    return request({
        url: '/expenseApproval/tripApplicationApprovalReject',
        method: 'post',
        data:query
    })
}

//  4.差旅报销审批
//差旅报销-通过
export function travelOnBusinessPass(query) {
    return request({
        url: '/expenseApproval/travelOnBusinessApproval',
        method: 'post',
        data:query
    })
}
//差旅报销-驳回
export function travelOnBusinessNotPass(query) {
    return request({
        url: '/expenseApproval/travelOnBusinessApprovalReject',
        method: 'post',
        data:query
    })
}
