import request from '@/utils/request'

// 查询入职审批列表
export function listOnBoardManage(query) {
    return request({
        url: '/staffmanage/onboardmanage/list',
        method: 'get',
        params: query
    })
}

// 查询入职审批详细
export function getOnBoardManage(id) {
    return request({
        url: '/staffmanage/onboardmanage/' + id,
        method: 'get'
    })
}

// 新增入职审批
export function addOnBoardManage(data) {
    return request({
        url: '/staffmanage/onboardmanage',
        method: 'post',
        data: data
    })
}

// 修改入职审批
export function updateOnBoardManage(data) {
    return request({
        url: '/staffmanage/onboardmanage',
        method: 'put',
        data: data
    })
}

// 删除入职审批
export function delOnBoardManage(id) {
    return request({
        url: '/staffmanage/onboardmanage/' + id,
        method: 'delete'
    })
}
// 查询入职草稿箱
export function listOnBoardManageDraft(query) {
    return request({
        url: '/staffmanage/onboardmanage/listDraft',
        method: 'get',
        params: query
    })
}
// 新增入职草稿
export function addOnBoardManageDraft(data) {
    return request({
        url: '/staffmanage/onboardmanage/addDraft',
        method: 'post',
        data: data
    })
}
// 修改入职草稿箱（草稿箱提交 状态修改）
export function updateOnBoardManageDraft(data) {
    return request({
        url: '/staffmanage/onboardmanage/updateDraft',
        method: 'put',
        data: data
    })
}
// 获取全部审批流程
export function getAllapproveList(id) {
    return request({
        url: '/approvalConfiguration/getNodeList/' + id,
        method: 'get'
    })
}

export function updateApproval(data) {
    return request({
        url: '/staffmanage/onboardmanage/updateApproval',
        method: 'post',
        data: data
    })
}

export function updateApproval2(data) {
    return request({
        url: '/staffmanage/onboardmanage/updateApproval2',
        method: 'post',
        data: data
    })
}
export function getLoginUserInfo() {
    return request({
        url: '/staffmanage/onboardmanage/listAll',
        method: 'get'
    })
}

export function getTodayBirthdayCount() {
    return request({
        url: '/staffmanage/onboardmanage/getTodayBirthdayCount',
        method: 'get'
    })
}
export function getQuarterBirthdayCount() {
    return request({
        url: '/staffmanage/onboardmanage/getQuarterBirthdayCount',
        method: 'get'
    })
}
