import request from '@/utils/request'

// 查询人事管理审批关联列表
export function listInstance(query) {
    return request({
        url: '/system/instance/list',
        method: 'get',
        params: query
    })
}

// 查询人事管理审批关联详细
export function getInstance(id) {
    return request({
        url: '/system/instance/' + id,
        method: 'get'
    })
}

// 新增人事管理审批关联
export function addInstance(data) {
    return request({
        url: '/system/instance',
        method: 'post',
        data: data
    })
}

// 修改人事管理审批关联
export function updateInstance(data) {
    return request({
        url: '/system/instance',
        method: 'put',
        data: data
    })
}

// 删除人事管理审批关联
export function delInstance(id) {
    return request({
        url: '/system/instance/' + id,
        method: 'delete'
    })
}
