import request from '@/utils/request'

// 查询项目费用报销列表
export function getReimbursementList(query) {
    return request({
        url: '/fyglprojectCostReimbursement/getList',
        method: 'get',
        params:query
    })
}

// 获取所有项目名称（查询下拉框）
export function getProjectName() {
    return request({
        url: '/projectCostRequest/projectAllList',
        method: 'get'
    })
}

// 查询待报销列表
export function getwaitReimbursementList(query) {
    return request({
        url: '/fyglprojectCostReimbursement/approvestatus3List',
        method: 'get',
        params:query
    })
}

// 报销详情
export function getReimbursementDetail(id) {
    return request({
        url: '/fyglprojectCostReimbursement/reimbursementDetail/' + id,
        method: 'get'
    })
}

// 新增报销
export function addReimbursement(data) {
    return request({
        url: '/fyglprojectCostReimbursement/insertReimbursementDetail',
        method: 'post',
        data: data
    })
}

// 修改报销
export function updateReimbursement(data) {
    return request({
        url: '/fyglprojectCostReimbursement/updateReimbursementDetail',
        method: 'put',
        data: data
    })
}

// 删除报销
export function delReimbursement(id) {
    return request({
        url: '/fyglprojectCostReimbursement/delflag/' + id,
        method: 'put'
    })
}
