import request from '@/utils/request'

// 查询项目费用申请列表
export function getCostRequestList(query) {
    return request({
        url: '/projectCostRequest/list',
        method: 'get',
        params:query
    })
}
// 查询项目费用申请详情
export function getCostRequestDetail(id) {
    return request({
        url: '/projectCostRequest/' + id,
        method: 'get'
    })
}
//获取所有项目
export function getProjectList() {
    return request({
        url: '/projectCostRequest/projectList',
        method: 'get'
    })
}

//获取所有项目名称（查询下拉框）
export function getProjectName() {
    return request({
        url: '/projectCostRequest/projectAllList',
        method: 'get'
    })
}

//根据项目Id获取项目基本信息
export function getProjectDetailbyId(id) {
    return request({
        url: '/projectCostRequest/projectDetail/' + id,
        method: 'get'
    })
}

//新增申请表单
export function addCostRequest(data) {
    return request({
        url: '/projectCostRequest/insert',
        method: 'post',
        data: data
    })
}

// 修改申请表单
export function updateCostRequest(data) {
    return request({
        url: '/projectCostRequest/update',
        method: 'put',
        data: data
    })
}

// 删除费用申请
export function delCostRequest(id) {
    return request({
        url: '/projectCostRequest/delete/' + id,
        method: 'put'
    })
}

// 获取全部审批流程
export function getAllapproveList(id) {
    return request({
        url: '/approvalConfiguration/getNodeList/' + id,
        method: 'get'
    })
}





