import request from '@/utils/request'

// 查询工时记录列表
export function listTimesheet(query) {
  return request({
    url: '/system/timesheet/list',
    method: 'get',
    params: query
  })
}

// 查询工时记录详细
export function getTimesheet(id) {
  return request({
    url: '/system/timesheet/' + id,
    method: 'get'
  })
}

// 新增工时记录
export function addTimesheet(data) {
  return request({
    url: '/system/timesheet',
    method: 'post',
    data: data
  })
}

// 修改工时记录
export function updateTimesheet(data) {
  return request({
    url: '/system/timesheet',
    method: 'put',
    data: data
  })
}

// 删除工时记录
export function delTimesheet(id) {
  return request({
    url: '/system/timesheet/' + id,
    method: 'delete'
  })
}
